Subject: Re: [PATCH v2] t3200: refactor symlink test from hn/refs-errno-cleanup

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Aug 2021 13:26:08 -0700

Carlo Marcelo Arenas Belón  <[email-masked]> writes:

> d1931bcf0d (refs: make errno output explicit for refs_resolve_ref_unsafe,
> 2021-07-20) add a test for a crash when refs is a symlink, but it fails
> on windows.
>
> add the missing SYMLINKS dependency and while at it, refactor it slightly
> to comply better with the CodingGuidelines.
>
> Reported-by: Jeff King <[email-masked]>
> Helped-by: Eric Sunshine <[email-masked]>
> Signed-off-by: Carlo Marcelo Arenas Belón <[email-masked]>
> ---
> v2:
> * update subject for clarity; might be worth squashing instead into 3d63ce75e
>   (refs: explicitly return failure_errno from parse_loose_ref_contents,
>   2021-07-20)
> * change from --git-dir to -C for clarity
> * add reporting for errors to the for loop as suggested by Eric

Thanks for a fix-up.

Let's eject hn/refs-errno-cleanup and possibly ab/refs-files-cleanup
topics out of 'next' and give these 18 patches a chance for a fresh
start, as I've already failed a short-cut attempt to squash in the
"fix" yesterday that forgot the SYMLINKS prerequisite and even
today's attempts to fix it seem to be going back and forth X-<.
Even worse, there is a t0031 breakage that seems to have come from
the latter topic.

IOW, I won't be picking this up but asking Han-Wen and Ævar to come
up with a clean reroll of the two series.

Thanks.